Relesys API Docs

v1.1

https://api.relesysapp.net/api/v1.1

Comments

Get Comments
GET /contentmodules/{moduleId}/content/{contentId}/comments
https://api.relesysapp.net/api/v1.1/contentmodules/{moduleId}/content/{contentId}/comments
Get a list of content comments.
Default sort is by creationDateTime in descending order.

Please note: Comments must be enabled on the module for this endpoint to be called. Otherwise status code 400 - Bad Request will be returned.
Scopes: relesys.api, relesys.api:read, relesys.api.content, relesys.api.content:read
URL Path
moduleId string / guid required
contentId string / guid required
Query String
creationDateTime datetimeoffset Filterable Sortable optional
id string / guid Filterable optional
lastModifiedDateTime datetimeoffset Filterable Sortable optional
parentCommentId string / guid Filterable optional
userId string / guid Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"id":"14f8c83f-a43c-44d5-9c32-1dc5c7feaa2f","url":null,"userId":"275870bd-97dd-4edb-b90b-67aa1cee9424","userUrl":null,"parentCommentId":"3d88de8a-f283-4b8d-a7f2-dadbaf4bb4a0","parentCommentUrl":null,"creationDateTime":"2026-10-20T14:36:57.7885525+00:00","lastModifiedDateTime":"2026-10-20T18:36:57.7885525+00:00","medias":[{"id":"4bbd3883-6da4-4b4c-bf20-25a4d9f5f797","downloadUrl":null,"referenceUrl":null,"contentType":"image/png","fileName":"png"},{"id":"dd827a91-384d-479f-98b7-3bdd0b40d130","downloadUrl":null,"referenceUrl":null,"contentType":"video/mp4","fileName":"mp4"}],"mentions":null,"locales":[{"culture":"en-GB","text":"Example text 1"}]},{"id":"eb7cac5c-468b-451e-99e1-b70baebefcc2","url":null,"userId":"d97a98f9-2940-40d0-b078-fb70eee0eaa0","userUrl":null,"parentCommentId":"a4c52782-bd0b-4ccc-91c3-d6918127e746","parentCommentUrl":null,"creationDateTime":"2026-10-20T13:36:57.7885525+00:00","lastModifiedDateTime":null,"medias":null,"mentions":[{"type":"User","name":null,"id":"384fe902-e4c2-4b10-877d-25e814c88795","url":null},{"type":"Department","name":null,"id":"1b632f27-20ef-421a-b0c5-e284923b07aa","url":null},{"type":"User group","name":null,"id":"3b04e1f6-1734-4e6e-8dc5-cf35796d5785","url":null}],"locales":[{"culture":"en-GB","text":"Example text 2"}]}]}
object
  count integer      
  ⯈ data array[object]      
   creationDateTime datetimeoffset      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   ⯈ locales array[object]      
    culture string      
    text string      
   ⯈ medias array[object]      
    contentType string      
    downloadUrl string      
    fileName string      
    id string / guid      
    referenceUrl string      
   ⯈ mentions array[object]      
    id string / guid      
    name string      
    type string      
    url string      
   parentCommentId string / guid      
   parentCommentUrl string      
   url string      
   userId string / guid      
   userUrl string      
  nextUrl string      
  previousUrl string